<?php
/**
 * Helper class for Hello World! module
 * 
 * @package    Joomla.Tutorials
 * @subpackage Modules
 * @link http://dev.joomla.org/component/option,com_jd-wiki/Itemid,31/id,tutorials:modules/
 * @license        GNU/GPL, see LICENSE.php
 * mod_helloworld is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
class modVoirAussiHelper
{
    /**
     * Retrieves the hello message
     *
     * @param array $params An object containing the module parameters
     * @access public
     */    
    public static function getList( $params )
    {

		$article = JModelLegacy::getInstance('Article', 'ContentModel', array('ignore_request' => true));
		$article->setState('params', $params);
		$article->setState('filter.published', 1);
		$item = $article->getItem(JRequest::getInt('id'));		
		
		// Get an instance of the generic article model
		$articles = JModelLegacy::getInstance('Articles', 'ContentModel', array('ignore_request' => true));
		$articles->setState('params', $params);
		$articles->setState('filter.published', 1);
		$articles->setState('filter.category_id', $item->catid);		
		$items = $articles->getItems();		
		//Return the result
		return $items;	
		
    }
	
	
	
}











?>